%define oname	LucenePlusPlus

%define major      0
%define libname    %mklibname %{name} %{major}
%define libcontrib %mklibname %{name}-contrib %{major}
%define devname    %mklibname %{name} -d

Name:		lucene++
Summary:	C++ port of the popular Java Lucene library
Version:	3.0.9
Release:	%mkrel 2
License:	LGPLv3+ and ASL2.0
Group:		System/Libraries
Url:		https://github.com/luceneplusplus/LucenePlusPlus
Source0:	https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_%{version}/%{oname}-rel_%{version}.tar.gz
# From upstream:
Patch0:		lucene++-3.0.9-boost-1.85.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(bzip2)

%description
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

#------------------------------------------------

%package -n %{libname}
Summary:	C++ port of the popular Java Lucene library
Group:		System/Libraries

%description -n %{libname}
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

#------------------------------------------------

%package -n %{libcontrib}
Summary:	C++ port of the popular Java Lucene Contrib library
Group:		System/Libraries

# ease upgrade mga9 -> mga10
Conflicts:	%{_lib}lucene++0 < 3.0.7-25

%description -n %{libcontrib}
Lucene++ is an up to date C++ port of the popular Java Lucene Contrib library,
a high-performance, full-featured text search engine.

#------------------------------------------------

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcontrib} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{oname}-rel_%{version}

%build
%cmake \
        -DINSTALL_GTEST=OFF \
        -DENABLE_TEST=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license *.license
%doc README* AUTHORS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{libcontrib}
%license *.license
%doc README* AUTHORS
%{_libdir}/lib%{name}-contrib.so.%{major}
%{_libdir}/lib%{name}-contrib.so.%{version}

%files -n %{devname}
%license *.license
%doc README* AUTHORS REQUESTS
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_libdir}/cmake/lib%{name}*/
%{_libdir}/lib%{name}*.so


%changelog
* Fri Sep 13 2024 wally <wally> 3.0.9-2.mga10
+ Revision: 2095493
- rebuild for boost 1.86.0

* Fri Jun 21 2024 daviddavid <daviddavid> 3.0.9-1.mga10
+ Revision: 2076000
- new version: 3.0.9
- split out in a separate sub-pkg lucene++--contrib library
- backport upstream patch to fix build with boost 1.85
+ wally <wally>
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 3.0.7-24.mga10
+ Revision: 2030566
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 3.0.7-23.mga10
+ Revision: 1991469
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 3.0.7-22.mga9
+ Revision: 1926503
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 3.0.7-21.mga9
+ Revision: 1867283
- rebuild for boost 1.79.0

* Fri Mar 18 2022 umeabot <umeabot> 3.0.7-20.mga9
+ Revision: 1798811
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 3.0.7-19.mga9
+ Revision: 1762659
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 3.0.7-18.mga9
+ Revision: 1744705
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 3.0.7-17.mga9
+ Revision: 1722988
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 3.0.7-16.mga8
+ Revision: 1666785
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 3.0.7-15.mga8
+ Revision: 1662027
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 3.0.7-14.mga8
+ Revision: 1578081
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 3.0.7-13.mga8
+ Revision: 1545041
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 daviddavid <daviddavid> 3.0.7-12.mga8
+ Revision: 1483726
- use new cmake macros
+ wally <wally>
- rebuild for boost 1.72.0
- replace deprecated %%makeinstall_std

* Tue Oct 16 2018 wally <wally> 3.0.7-11.mga7
+ Revision: 1321063
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 3.0.7-10.mga7
+ Revision: 1299380
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 3.0.7-9.mga7
+ Revision: 1184684
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 3.0.7-8.mga7
+ Revision: 1178088
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 3.0.7-7.mga7
+ Revision: 1154696
- rebuild with latest boost

* Fri Dec 25 2015 daviddavid <daviddavid> 3.0.7-6.mga6
+ Revision: 914622
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 3.0.7-5.mga6
+ Revision: 883468
- rebuild for new boost-1.59.0

* Fri Aug 28 2015 cjw <cjw> 3.0.7-4.mga6
+ Revision: 870355
- rebuild with gcc 5

* Fri Jul 31 2015 wally <wally> 3.0.7-3.mga6
+ Revision: 859912
- add patch from upstream to fix paths in pkgconfig .pc files
- use %%license for license files

* Fri Jul 31 2015 wally <wally> 3.0.7-2.mga6
+ Revision: 859867
- add patch from upstream to fix build with new boost 1.58
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Sat Jun 20 2015 wally <wally> 3.0.7-1.mga6
+ Revision: 836666
- new version 3.0.7

* Wed Oct 15 2014 umeabot <umeabot> 3.0.6-1.git20140729.3.mga5
+ Revision: 749063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.6-1.git20140729.2.mga5
+ Revision: 682041
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 wally <wally> 3.0.6-1.git20140729.1.mga5
+ Revision: 657937
- import latest git snapshot of lucene++

